@import "../../../assets/styles/main.scss";

.esim_connectivity_section {
  background-image: url(https://stagecdn.waosim.com/landingpage/assets/esim_connectivity_bg.png);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  margin-bottom: -91px;
  &.BottomSpace{
    margin-bottom: 0px;
  }


  .esim_connectivity_left {
    position: relative;
    &::after {
      position: absolute;
      content: "";
      right: 0%;
      top: 63%;
      transform: translate(-50%, -50%);
      background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/esim_connctivity_object.svg);
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
      width: 120px;
      height: 120px;
      transform: rotate(357deg);
      @include xl {
        top: 50%;
      }
      @include lg {
        top: 46%;
      }
    }
    h1 {
      color:  getColorHex("black");
      text-align: center;
      font-size: 45px;
      font-style: italic !important;
      @include inter700;
      line-height: 54.46px;
      @include xl {
        font-size: 35px;
      }
      @include lg {
        font-size: 32px;
      }
    }
    p {
      padding: 50px 0px;
      text-align: center;
      font-size: 24px;
      @include inter700;
      line-height: 175.023%;
      @include xl {
        font-size: 20px;
        padding: 45px 0px;
      }
      @include lg {
        font-size: 18px;
        padding: 35px 0px;
      }
    }
    .socialIconsAlligment {
      display: flex;
      justify-content: center;
    }
  }
  .esim_connectivity_right {
    // margin-top: -230px;
    position: relative;
    padding-top: 10px;
    margin-left: 13px;

    .esim_connectivity_right_image {
      height: 764px;
      width: 523px;
      @include xxl {
        height: 645px;
        // width: 92%;
      }
      @include xl{
        height: 600px;
        width: 490px;
      }
      @include lg{
        height: 500px;
        width: 400px;
        
      }
      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        @include xl{
          object-fit: contain;
        }
      }
    }
  }
}
